#
# spec file for package python-Whoosh
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-Whoosh
Version:        2.7.0
Release:        4.21
Url:            http://www.turbogears.org
Summary:        Fast, pure-Python full text indexing, search, and spell checking library
License:        BSD-2-Clause
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/W/Whoosh/Whoosh-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-Sphinx
BuildRequires:  python-devel
BuildRequires:  python-pytest
BuildRequires:  python-setuptools
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif
Provides:       python-whoosh = %{version}
Obsoletes:      python-whoosh < %{version}

%description
Whoosh is a fast, pure-Python indexing and search library. Programmers can use
it to easily add search functionality to their applications and websites.
Because Whoosh is pure Python, you don't have to compile or install a binary
support library and/or make Python work with a JVM, yet Whoosh is still very
fast at indexing and searching. Every part of how Whoosh works can be extended
or replaced to meet your needs exactly.

%prep
%setup -q -n Whoosh-%{version}

%build
python setup.py build
sphinx-build -b html -d docs/build/doctrees docs/source docs/build/html

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py test

%files 
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt docs/build/html
%{python_sitelib}/*

%changelog
* Fri Apr 24 2015 cdenicolo@suse.com
- license update: BSD-2-Clause
  correct license ist BSD-2-Clause
* Wed Apr 22 2015 mcihar@suse.cz
- Update to 2.7.0:
  * Removed on-disk word graph implementation of spell checking in favor of much
    simpler and faster FSA implementation over the term file.
  * Many bug fixes.
  * Removed backwards compatibility with indexes created by versions prior to
    2.5. You may need to re-index if you are using an old index that hasn't been
    updated.
  * This is the last 2.x release before a major overhaul that will break backwards
    compatibility.
* Wed Jul 23 2014 mcihar@suse.cz
- Upgrate to 2.5.7 (no changelog provided)
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Mon Oct  7 2013 mcihar@suse.cz
- build documentation during build
* Mon Oct  7 2013 mcihar@suse.cz
- now uses py.test instead of nose for testing
* Mon Oct  7 2013 mcihar@suse.cz
- Update to version 2.5.4
  + New index format
  + Better API for index creation
* Wed Jan 30 2013 saschpe@suse.de
- Update to version 2.4.1:
  + Fixes issues #242, #257, #261, #262, #263
- Renamed to python-Whoosh, obsoletes python-whoosh
- Install HTML documentation and LICENSE.txt
- Set SPDX-style license
- Run testsuite
* Fri Jun  8 2012 highwaystar.ru@gmail.com
- update to 2.4.0
- python3 package added
- a lot of spec improvements
* Mon Apr 16 2012 mcihar@suse.cz
- updated to 2.3.2
- make package noarch if possible
